http://qs321.pair.com?node_id=11105022


in reply to Re: Need help debugging Wx on Strawberry Perl 5.26.1
in thread Need help debugging Wx on Strawberry Perl 5.26.1

What I do not understand is I am building from sources obtained via CPAN. The ABI numbers are so close, but I don't know what to do to get the sources to compile so it can be linked to the Perl interpreter.

The following link is the exact error, except with different ABI numbers referenced.

  • Comment on Re^2: Need help debugging Wx on Strawberry Perl 5.26.1

Replies are listed 'Best First'.
Re^3: Need help debugging Wx on Strawberry Perl 5.26.1
by jcb (Vicar) on Aug 26, 2019 at 03:46 UTC

    Do I remember correctly that Strawberry Perl bundles a compiler? If so, are you using it? Is the build for Wx compiling wxWidgets from source or getting a prebuilt binary from somewhere? If there is a prebuilt wxWidgets involved, you will probably need to build that library from source using the compiler bundled with Strawberry Perl.

    Have you considered using Tk instead if you cannot get Wx to build?

      Yes, I am using the compiler bundled with Strawberry perl. I'm running into errors simply using Makefile.PL. I tried that to reproduce the errors obtained when running the CPANM client.

      I am installing from CPAN -- so the Wx package provides me with sources only AFAICT. That is why it is so confusing. I'm using GCC 7.1.0.

        You have the sources for the Wx XS extension, but are you also building the wxWidgets library from source or are you getting a binary from somewhere?